import request from '@/utils/request'

// 查询企业基本信息列表
export function listEhsEnterprise(query) {
  return request({
    url: '/ehsEnterprise/ehsEnterprise/list',
    method: 'get',
    params: query
  })
}

// 查询企业基本信息详细
export function getEhsEnterprise(enterpriseId) {
  return request({
    url: '/ehsEnterprise/ehsEnterprise/' + enterpriseId,
    method: 'get'
  })
}

// 新增企业基本信息
export function addEhsEnterprise(data) {
  return request({
    url: '/ehsEnterprise/ehsEnterprise',
    method: 'post',
    data: data
  })
}

// 修改企业基本信息
export function updateEhsEnterprise(data) {
  return request({
    url: '/ehsEnterprise/ehsEnterprise',
    method: 'put',
    data: data
  })
}

// 删除企业基本信息
export function delEhsEnterprise(enterpriseId) {
  return request({
    url: '/ehsEnterprise/ehsEnterprise/' + enterpriseId,
    method: 'delete'
  })
}
